[mypy]
namespace_packages = True
explicit_package_bases = True
mypy_path = src
packages = heaserver.service

[mypy-bson.*]
ignore_missing_imports = True

[mypy-pymongo.*]
ignore_missing_imports = True

[mypy-jsonschema.*]
ignore_missing_imports = True

[mypy-testcontainers.*]
ignore_missing_imports = True

[mypy-pytest.*]
ignore_missing_imports = True

[mypy-uritemplate.*]
ignore_missing_imports = True

[mypy-aiohttp_swagger3.*]
ignore_missing_imports = True

[mypy-gridfs.*]
ignore_missing_imports = True

[mypy-aiohttp_remotes.*]
ignore_missing_imports = True

[mypy-mongoquery.*]
ignore_missing_imports = True

[mypy-accept_types.*]
ignore_missing_imports = True

[mypy-motor.*]
ignore_missing_imports = True

[mypy-moto.*]
ignore_missing_imports = True

[mypy-regex.*]
ignore_missing_imports = True

[mypy-freezegun.*]
ignore_missing_imports = True

[mypy-simpleeval.*]
ignore_missing_imports = True

[mypy-docker.*]
ignore_missing_imports = True

[mypy-aiodiskqueue.*]
follow_untyped_imports = True
